<!-- <p-dialog
  header="เพิ่มข้อมูล"
  [(visible)]="display"
  [modal]="true"
  [style]="{ width: '750px' }"
  [baseZIndex]="0"
  position="top"
  (onHide)="closeDialog()"
>
  <form [formGroup]="checkoutForm" (ngSubmit)="onSubmit()">
    <div class="row">
      <div class="col-md-6 form-group">
        <label class="form-label fw-bold">ชื่อ-นามสกุล</label>
        <input
          type="text"
          class="form-control"
          formControlName="fullname"
          [ngClass]="{ 'is-invalid': submitted && addf['fullname'].errors }"
        />
        <div
          *ngIf="submitted && addf['fullname'].errors"
          class="invalid-feedback"
        >
          <p *ngIf="addf['fullname'].errors['required']">
            กรุณากรอกชื่อ-นามสกุล
          </p>
          <p *ngIf="addf['fullname'].errors['pattern']">
            กรอกได้เฉพาะตัวอักษรเท่านั้น
          </p>
        </div>
      </div>
      <div class="col-md-6 form-group">
        <label class="form-label fw-bold">เลือกเพศ</label>
        <select
          class="form-select"
          formControlName="gender"
          [ngClass]="{ 'is-invalid': submitted && addf['gender'].errors }"
        >
          <option selected disabled [value]="null">กรุณาเลือกเพศ</option>
          <option *ngFor="let g of gender" [value]="g.id">{{ g.name }}</option>
        </select>
        <div
          *ngIf="submitted && addf['gender'].errors"
          class="invalid-feedback"
        >
          <p *ngIf="addf['gender'].errors['required']">กรุณาเลือกเพศ</p>
        </div>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-md-6">
        <label class="form-label fw-bold">วัน/เดือน/ปีเกิด</label>
        <mat-form-field>
          <input
            matInput
            [matDatepicker]="picker"
            placeholder="Choose a date"
            style="width: 100%"
            formControlName="birthday"
          />
          <mat-datepicker-toggle
            matSuffix
            [for]="picker"
          ></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12 form-group">
        <label class="form-label fw-bold m-0 mb-2">สถานะ</label>
        <div class="d-flex align-items-center">
          <input
            class="form-check-input me-1"
            type="radio"
            name="status"
            value="โสด"
            formControlName="status"
            [ngClass]="{ 'is-invalid': submitted && addf['status'].errors }"
          />
          <label class="form-check-label mt-1" for="inlineRadio1">โสด</label>
          <input
            class="form-check-input me-1 ms-3"
            type="radio"
            name="status"
            value="มีแฟนแล้ว"
            formControlName="status"
            [ngClass]="{ 'is-invalid': submitted && addf['status'].errors }"
          />
          <label class="form-check-label mt-1" for="inlineRadio1"
            >มีแฟนแล้ว</label
          >
          <input
            class="form-check-input me-1 ms-3"
            type="radio"
            name="status"
            value="แต่งงานแล้ว"
            formControlName="status"
            [ngClass]="{ 'is-invalid': submitted && addf['status'].errors }"
          />
          <label class="form-check-label mt-1" for="inlineRadio1"
            >แต่งงานแล้ว</label
          >
        </div>
        <div *ngIf="submitted && addf['status'].errors" class="message-invalid">
          <p *ngIf="addf['status'].errors['required']" class="mt-1">
            กรุณาเลือกสถานะ
          </p>
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-between mt-5">
      <button type="submit" class="btn btn-success">เพิ่มข้อมูล</button>
      <button type="button" class="btn btn-danger" (click)="closeDialog()">
        ยกเลิก
      </button>
    </div>
  </form>
</p-dialog> -->
<h2 mat-dialog-title>เพิ่มข้อมูล</h2>
<mat-dialog-content class="mat-typography">
  <app-add-edit-form (response)="onSubmit($event)" type="addUser"></app-add-edit-form>
</mat-dialog-content>
